import { useState } from "react";
import Display from './Display';
import Button from './Button';

function App () {
  

  const[running,setRunning]= useState(false);
  const[count,setCount]= useState(0);
  const[messageIndex,setMessageIndex]= useState(0);
  const[currentMessage,setCurrentMessage]= useState("");

  function startCountdown(seconds){

if(running)return;
setRunning(true);
setCount(seconds);
setCurrentMessage("");

let timeLeft = seconds;
const interval = setInterval(()=>{

  timeLeft -= 1;
  setCount(timeLeft);

  if(timeLeft <= 0){

    clearInterval(interval);
    setRunning(false);
    setCurrentMessage(`das war ihr ${messageIndex} countdown`);
    setMessageIndex(prev => prev +1);

  }


},1000);

  };

  
    return (
      <div>
        {[1, 2, 3, 4, 5, 6, 7, 8, 9, 10].map(s => (
          <Button key={s} myText={s + ""} callBack={() => startCountdown(s)} />
        ))}

        <div>{count >0 ? `${count} sec noch übrig`: ""}</div>
        <div>{currentMessage}</div>

        <Button myText={"Start"} callBack={null} />
      </div>
    );
  }


export default App;
