import { useState } from "react";
import Display from "./Display";
import Button from "./Button";

function App () {
  


const movies = [
  "Der Pate",
  "Fight Club",
  "Inception",
  "Das Schweigen der Lämmer",
  "Zurück in die Zukunft"];

  const[currentPosition,setCurrentPosition]= useState(0);

  const autoForward =(startIndex)=>{

      if(startIndex>= movies.length -1)return;

      setTimeout(()=>{
        setCurrentPosition(startIndex+1);
        autoForward(startIndex+1);
      },1000);

  };

 const nextMovie =()=> {
    if(currentPosition < movies.length -1){
      setCurrentPosition(currentPosition +1);
      autoForward(currentPosition +1);
    }
  };

 const prevMovie=()=> {
  
  setCurrentPosition((currentPosition -1 + movies.length)% movies.length);
  };

  
    return (
      <div>
        <Button myText={"Nächster Film"} callBack={nextMovie} />
        <Button myText={"Vorheriger Film"} callBack={prevMovie} />
        <Display myVal={movies[currentPosition]} />
      </div>
    );
  }


export default App;
