import { useState } from "react";
import Display from "./Display";
import Button from "./Button";

function App () {
  
const movies = ["Der Pate",
      "Fight Club",
      "Inception",
      "Das Schweigen der Lämmer",
      "Zurück in die Zukunft"];
const[currentPosition,setCurrentPosition]= useState(0);



const  nextMovie=()=> {
    setCurrentPosition((prev)=>(prev +1));
  };
const autoBackward=(startindex)=>{

  if(startindex <= 0)return;

  setTimeout(()=>{

setCurrentPosition(startindex -1);
autoBackward(startindex -1);

  },1000);

};



 const prevMovie=()=> {
  if(currentPosition > 0){
    setCurrentPosition(currentPosition -1);
    autoBackward(currentPosition -1);
  } 

  };

  
    return (
      <div>
        <Button myText={"Nächster Film"} callBack={nextMovie} />
        <Button myText={"Vorheriger Film"} callBack={prevMovie} />
        <Display myVal={movies[currentPosition]} />
      </div>
    );
  }


export default App;
